import os

CORE_SERVICE_URL = os.environ["CORE_SERVICE_URL"]
AUTH_SERVICE_URL = os.environ["AUTH_SERVICE_URL"]
SECRETS_SERVICE_URL = os.environ["SECRETS_SERVICE_URL"]

LOG_DIR = os.environ.get("LOG_DIR", "/var/log/vader/")

POLICY_TEMPLATE_DIR = "policy_templates"

OPENAPI_DIR = "openapi"
OPENAPI_FILE = "swagger.yml"
OPENAPI_PATH = f"{OPENAPI_DIR}/{OPENAPI_FILE}"

VADER_DEBUG = bool(os.environ.get("VADER_DEBUG", False))

VADER_APP_ID = os.environ.get("VADER_APP_ID", "0001")
VADER_ROOT_BOUNDARY_ID = os.environ.get("VADER_ROOT_BOUNDARY_ID", "vader")

STARTING_NAMESPACE = "admin/"

OPS_KV = os.environ.get("OPS_KV", "ops-kv")

VAULT_AVAILABLE_AUTH_CAPABILITIES_PATH = os.environ.get(
    "VAULT_AVAILABLE_AUTH_CAPABILITIES_PATH",
    f"{OPS_KV}/metadata/{VADER_APP_ID}/{VADER_ROOT_BOUNDARY_ID}/auth_capabilities",
)

VAULT_AVAILABLE_NAMESPACES_PATH = os.environ.get(
    "VAULT_AVAILABLE_NAMESPACES",
    f"{OPS_KV}/metadata/{VADER_APP_ID}/{VADER_ROOT_BOUNDARY_ID}/namespaces",
)

DATABASE_NAME = os.environ["MONGO_DB"]

POLICY_COLLECTION = "policies"
PROJECT_COLLECTION = "projects"
PROVISIONER_COLLECTION = "provisioners"

APPROLE_COLLECTION = "approles"

KVBUCKETS_COLLECTION = "kvbuckets"

MIN_STRING_LENGTH = 20
MAX_STRING_LENGTH = 100


TOKEN_TYPES = ["batch", "service"]

DEFAULT_MAX_TOKEN_TTL = "8h"
DEFAULT_MIN_TOKEN_TTL = "10m"

DEFAULT_MAX_TOKEN_MAX_TTL = DEFAULT_MAX_TOKEN_TTL
DEFAULT_MIN_TOKEN_MAX_TTL = DEFAULT_MIN_TOKEN_TTL

DEFAULT_MAX_TOKEN_BOUND_CIDRS = 20
DEFAULT_MIN_TOKEN_BOUND_CIDRS = 0
DEFAULT_INVALID_TOKEN_BOUND_CIDRS = ["127.0.0.1", "0.0.0.0"]
